igeo

## Interface IMatrixI

- All Superinterfaces:
    IMatrixOp, IParameter, IVal
  All Known Subinterfaces:
    IMatrix2I, IMatrix3I, IMatrix4I
  All Known Implementing Classes:
    IMatrix, IMatrix2, IMatrix3, IMatrix4

      public interface IMatrixI
      extends IMatrixOp

  Abstract interface of numerical matrix.
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMatrixI` | `add(IMatrixI m)`
    `int` | `columnNum()`
    `int` | `columnNum(ISwitchE e)`
    `IIntegerI` | `columnNum(ISwitchR r)`
    `IMatrixI` | `cp()` alias of dup()
    `double` | `determinant()`
    `double` | `determinant(ISwitchE e)`
    `IDoubleI` | `determinant(ISwitchR r)`
    `IMatrixI` | `div(double v)`
    `IMatrixI` | `div(IDoubleI v)`
    `IMatrixI` | `dup()`
    `double` | `get(int row, int column)`
    `double` | `get(ISwitchE e, int row, int column)`
    `IDoubleI` | `get(ISwitchR r, IIntegerI row, IIntegerI column)`
    `IMatrixI` | `invert()`
    `IMatrixI` | `mul(double v)`
    `IMatrixI` | `mul(IDoubleI v)`
    `IMatrixI` | `mul(IMatrixI m)`
    `int` | `rowNum()`
    `int` | `rowNum(ISwitchE e)`
    `IIntegerI` | `rowNum(ISwitchR r)`
    `IMatrixI` | `set(double[][] v)`
    `IMatrixI` | `set(IDoubleI[][] v)`
    `IMatrix` | `set(IIntegerI row, IIntegerI column, IDoubleI value)`
    `IMatrixI` | `set(IMatrixI m)`
    `IMatrix` | `set(int row, int column, double value)`
    `IMatrixI` | `setId()`
    `IMatrixI` | `setZero()`
    `IMatrixI` | `sub(IMatrixI m)`

    - ### Methods inherited from interface igeo.IMatrixOp

      `get`

- - ### Method Detail

    - #### dup

          IMatrixI dup()

    - #### cp

          IMatrixI cp()

      alias of dup()

    - #### rowNum

          int rowNum()

    - #### columnNum

          int columnNum()

    - #### rowNum

          int rowNum(ISwitchE e)

    - #### columnNum

          int columnNum(ISwitchE e)

    - #### rowNum

          IIntegerI rowNum(ISwitchR r)

    - #### columnNum

          IIntegerI columnNum(ISwitchR r)

    - #### setZero

          IMatrixI setZero()

    - #### setId

          IMatrixI setId()

    - #### get

          double get(int row,
                     int column)

    - #### get

          double get(ISwitchE e,
                     int row,
                     int column)

    - #### get

          IDoubleI get(ISwitchR r,
                       IIntegerI row,
                       IIntegerI column)

    - #### set

          IMatrixI set(double[][] v)

    - #### set

          IMatrixI set(IDoubleI[][] v)

    - #### set

          IMatrix set(int row,
                      int column,
                      double value)

    - #### set

          IMatrix set(IIntegerI row,
                      IIntegerI column,
                      IDoubleI value)

    - #### set

          IMatrixI set(IMatrixI m)

    - #### add

          IMatrixI add(IMatrixI m)

    - #### sub

          IMatrixI sub(IMatrixI m)

    - #### div

          IMatrixI div(double v)

    - #### div

          IMatrixI div(IDoubleI v)

    - #### mul

          IMatrixI mul(double v)

    - #### mul

          IMatrixI mul(IDoubleI v)

    - #### mul

          IMatrixI mul(IMatrixI m)

    - #### determinant

          double determinant()

    - #### determinant

          double determinant(ISwitchE e)

    - #### determinant

          IDoubleI determinant(ISwitchR r)

    - #### invert

          IMatrixI invert()